package main

import (
	"fmt"
	"os"
	"time"

	"git.wecise.com/wecise/cgimport/cgf"
	"git.wecise.com/wecise/util/cfg"
)

// 获取配置信息
//
//	默认配置：
//		当前工作目录下 与应用同名的 .conf 文件
//		环境变量
//		命令行参数
var mcfg = cfg.MConfig()

func main() {
	// 开始计时
	st := time.Now()
	// 配置参数
	// 文件目录
	datapath := mcfg.GetString("datapath", "data")
	// 并发数
	parallel := mcfg.GetInt("parallel", 10)
	// 检查参数，文件目录
	f, _ := os.Stat(datapath)
	if f == nil {
		fmt.Println(`put all data files in directory "` + datapath + `"`)
		return
	}
	// 导入
	filescount, recordscount, e := cgf.ImportDir(datapath, parallel)
	if e != nil {
		panic(e)
	}
	// 输出统计信息
	fmt.Println("total import", filescount, "files", recordscount, "records", "in", time.Since(st))
}
